[Interface]
Address = {{ wg.interface['address'] }}
PrivateKey = {{ wg.interface['private_key'] }}
ListenPort = {{ wg.interface['public_port'] }}

{% for peer in wg.peers %}
[Peer]
{% if peer.username %}# username: {{ peer.username }}, firstname: {{ peer.firstname }}, surname: {{ peer.surname }}{% endif %}
{% if peer.has_endpoint() %}
Endpoint = {{ peer.public_ip }}:{{ peer.public_port }}
{% endif %}
PublicKey = {{ peer.public_key }}
{% if peer.psk %}PresharedKey = {{ peer.psk }}{% endif %}
AllowedIPs = {{ peer.allowed_ips }}
PersistentKeepalive = {{ peer.keepalive }}
{% endfor %}